update-manager crashed with TypeError in refresh_cache(): Can't convert 'SystemError' object to str implicitly

Bug #1031280 reported by catty on 2012-07-31
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Medium
Sami Jaktholm

Bug Description

Sorry but can't write more this problem.

ProblemType: Crash
DistroRelease: Ubuntu 12.10
Package: update-manager 1:0.168
ProcVersionSignature: Ubuntu 3.5.0-5.5-generic 3.5.0-rc7
Uname: Linux 3.5.0-5-generic i686
ApportVersion: 2.4-0ubuntu6
Aptdaemon:
 Jul 31 11:25:31 macsek-Dimension-4600i AptDaemon: INFO: Initializing daemon
 Jul 31 11:25:31 macsek-Dimension-4600i AptDaemon.PackageKit: INFO: Initializing PackageKit compat layer
 Jul 31 11:30:32 macsek-Dimension-4600i AptDaemon: INFO: Quitting due to inactivity
 Jul 31 11:30:32 macsek-Dimension-4600i AptDaemon: INFO: Quitting was requested
Architecture: i386
CrashCounter: 1
Date: Tue Jul 31 11:40:53 2012
EcryptfsInUse: Yes
ExecutablePath: /usr/bin/update-manager
GsettingsChanges:
 b'com.ubuntu.update-manager' b'first-run' b'false'
 b'com.ubuntu.update-manager' b'launch-time' b'1343727644'
 b'com.ubuntu.update-manager' b'show-details' b'true'
 b'com.ubuntu.update-manager' b'window-height' b'507'
 b'com.ubuntu.update-manager' b'window-width' b'744'
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha i386 (20120606.2)
InterpreterPath: /usr/bin/python3.2mu
PackageArchitecture: all
ProcCmdline: /usr/bin/python3 /usr/bin/update-manager --no-update
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
PythonArgs: ['/usr/bin/update-manager', '--no-update']
SourcePackage: update-manager
Title: update-manager crashed with TypeError in refresh_cache(): Can't convert 'SystemError' object to str implicitly
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo

Related branches

catty (cattybaby75) wrote :
tags: removed: need-duplicate-check
Changed in update-manager (Ubuntu):
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in update-manager (Ubuntu):
status: New → Confirmed
Robert Roth (evfool) wrote :

Thanks for taking the time to report this bug and helping to make Ubuntu better. We appreciate the difficulties you are facing, but this appears to be a "regular" (non-security) bug. I have unmarked it as a security issue since this bug does not show evidence of allowing attackers to cross privilege boundaries nor directly cause loss of data/privacy. Please feel free to report any other bugs you may find.

visibility: private → public

Hi!

Not it all :-) -i like send bug report if see problem.

2012/7/31 Robert Roth <email address hidden>

> Thanks for taking the time to report this bug and helping to make Ubuntu
> better. We appreciate the difficulties you are facing, but this appears
> to be a "regular" (non-security) bug. I have unmarked it as a security
> issue since this bug does not show evidence of allowing attackers to
> cross privilege boundaries nor directly cause loss of data/privacy.
> Please feel free to report any other bugs you may find.
>
> ** Visibility changed to: Public
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1031280
>
> Title:
> update-manager crashed with TypeError in refresh_cache(): Can't
> convert 'SystemError' object to str implicitly
>
> Status in “update-manager” package in Ubuntu:
> Confirmed
>
> Bug description:
> Sorry but can't write more this problem.
>
> ProblemType: Crash
> DistroRelease: Ubuntu 12.10
> Package: update-manager 1:0.168
> ProcVersionSignature: Ubuntu 3.5.0-5.5-generic 3.5.0-rc7
> Uname: Linux 3.5.0-5-generic i686
> ApportVersion: 2.4-0ubuntu6
> Aptdaemon:
> Jul 31 11:25:31 macsek-Dimension-4600i AptDaemon: INFO: Initializing
> daemon
> Jul 31 11:25:31 macsek-Dimension-4600i AptDaemon.PackageKit: INFO:
> Initializing PackageKit compat layer
> Jul 31 11:30:32 macsek-Dimension-4600i AptDaemon: INFO: Quitting due to
> inactivity
> Jul 31 11:30:32 macsek-Dimension-4600i AptDaemon: INFO: Quitting was
> requested
> Architecture: i386
> CrashCounter: 1
> Date: Tue Jul 31 11:40:53 2012
> EcryptfsInUse: Yes
> ExecutablePath: /usr/bin/update-manager
> GsettingsChanges:
> b'com.ubuntu.update-manager' b'first-run' b'false'
> b'com.ubuntu.update-manager' b'launch-time' b'1343727644'
> b'com.ubuntu.update-manager' b'show-details' b'true'
> b'com.ubuntu.update-manager' b'window-height' b'507'
> b'com.ubuntu.update-manager' b'window-width' b'744'
> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha i386
> (20120606.2)
> InterpreterPath: /usr/bin/python3.2mu
> PackageArchitecture: all
> ProcCmdline: /usr/bin/python3 /usr/bin/update-manager --no-update
> ProcEnviron:
> PATH=(custom, no user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> PythonArgs: ['/usr/bin/update-manager', '--no-update']
> SourcePackage: update-manager
> Title: update-manager crashed with TypeError in refresh_cache(): Can't
> convert 'SystemError' object to str implicitly
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/update-manager/+bug/1031280/+subscriptions
>

catty (cattybaby75) wrote :

Hi Robert!

Sorry, can i help me please? I would send for you an copy me pulseaudio
code. Sorry, but me english no perfect, but hope you understand. This maybe
an security problem, and i see always, every install under.

Thank you, Beatrix

2012/7/31 Robert Roth <email address hidden>

> Thanks for taking the time to report this bug and helping to make Ubuntu
> better. We appreciate the difficulties you are facing, but this appears
> to be a "regular" (non-security) bug. I have unmarked it as a security
> issue since this bug does not show evidence of allowing attackers to
> cross privilege boundaries nor directly cause loss of data/privacy.
> Please feel free to report any other bugs you may find.
>
> ** Visibility changed to: Public
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1031280
>
> Title:
> update-manager crashed with TypeError in refresh_cache(): Can't
> convert 'SystemError' object to str implicitly
>
> Status in “update-manager” package in Ubuntu:
> Confirmed
>
> Bug description:
> Sorry but can't write more this problem.
>
> ProblemType: Crash
> DistroRelease: Ubuntu 12.10
> Package: update-manager 1:0.168
> ProcVersionSignature: Ubuntu 3.5.0-5.5-generic 3.5.0-rc7
> Uname: Linux 3.5.0-5-generic i686
> ApportVersion: 2.4-0ubuntu6
> Aptdaemon:
> Jul 31 11:25:31 macsek-Dimension-4600i AptDaemon: INFO: Initializing
> daemon
> Jul 31 11:25:31 macsek-Dimension-4600i AptDaemon.PackageKit: INFO:
> Initializing PackageKit compat layer
> Jul 31 11:30:32 macsek-Dimension-4600i AptDaemon: INFO: Quitting due to
> inactivity
> Jul 31 11:30:32 macsek-Dimension-4600i AptDaemon: INFO: Quitting was
> requested
> Architecture: i386
> CrashCounter: 1
> Date: Tue Jul 31 11:40:53 2012
> EcryptfsInUse: Yes
> ExecutablePath: /usr/bin/update-manager
> GsettingsChanges:
> b'com.ubuntu.update-manager' b'first-run' b'false'
> b'com.ubuntu.update-manager' b'launch-time' b'1343727644'
> b'com.ubuntu.update-manager' b'show-details' b'true'
> b'com.ubuntu.update-manager' b'window-height' b'507'
> b'com.ubuntu.update-manager' b'window-width' b'744'
> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha i386
> (20120606.2)
> InterpreterPath: /usr/bin/python3.2mu
> PackageArchitecture: all
> ProcCmdline: /usr/bin/python3 /usr/bin/update-manager --no-update
> ProcEnviron:
> PATH=(custom, no user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> PythonArgs: ['/usr/bin/update-manager', '--no-update']
> SourcePackage: update-manager
> Title: update-manager crashed with TypeError in refresh_cache(): Can't
> convert 'SystemError' object to str implicitly
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/update-manager/+bug/1031280/+subscriptions
>

Sami Jaktholm (sjakthol) on 2012-08-11
Changed in update-manager (Ubuntu):
assignee: nobody → sampo555 (sampo555)
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.169

---------------
update-manager (1:0.169) quantal; urgency=low

  [ Michael Terry ]
  * Drop Unity-support gir Recommends down to Suggests. LP: #1029764

  [ sampo555 ]
  * lp:~sampo555/update-manager/fix-for-1031280:
    - Convert SystemError into string in order to avoid TypeError in
      UpdateManager.refresh_cache SystemError handles. Fixes LP: #1031280

  [ Robert Park ]
  * Allow test suite to not need to be run as root

  [ Michael Vogt ]
  * lp:~mvo/update-manager/phased-updates:
    - Implement the client part of the "foundations-q-phased-updates".
      This allows to deploy updates in phases where only a subset of
      the users will get a update, controlled via the
      Phased-Updates-Percentage tag in the Packages file.
 -- Michael Vogt <email address hidden> Tue, 21 Aug 2012 09:21:32 +0200

Changed in update-manager (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers